unit fm_main;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, uib, ZConnection;

type

  { TForm1 }

  TForm1 = class(TForm)
    UIBDataBase1: TUIBDataBase;
    ZConnection1: TZConnection;
    procedure FormShow(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.frm}

{ TForm1 }

procedure TForm1.FormShow(Sender: TObject);
begin
// --- UIB connection ----------------------------------------------------------------------------
  try
    UIBDataBase1.Connected := True;
  except
    ShowMessage('UIB: Failed to connect to database!');
  end;
  if UIBDataBase1.Connected then
    ShowMessage('UIB: Successful connection to the database.');

  if not UIBDataBase1.Connected then
  begin
// --- ZEOS connection ---------------------------------------------------------------------------
    try
      ZConnection1.Connect;
    except
      ShowMessage('ZEOS: Failed to connect to database!');
    end;
    if ZConnection1.Connected then
      ShowMessage('ZEOS: Successful connection to the database.');
  end;
end;

end.

